_Ecore_Drm_Device Struct Reference

## Data Fields

int | id
unsigned int | vt
const char * | seat
char * | session
struct { |
int fd |
const char * name |
const char * path |
clockid_t clock |
Ecore_Fd_Handler * hdlr |
Ecore_Idle_Enterer * idler |
} | drm
unsigned int | min_width
unsigned int | min_height
unsigned int | max_width
unsigned int | max_height
unsigned int | crtc_count
unsigned int * | crtcs
unsigned int | crtc_allocator
unsigned int | conn_allocator
Eina_List * | seats
Eina_List * | inputs
Eina_List * | outputs
Eina_List * | sprites
struct { |
int fd |
int kbd_mode |
const char * name |
Ecore_Event_Handler * event_hdlr |
Ecore_Event_Handler * switch_hdlr |
} | tty
unsigned int | format
Eina_Bool | use_hw_accel: 1
Eina_Bool | cursors_broken: 1
struct xkb_context * | xkb_ctx
unsigned int | window
Eeze_Udev_Watch * | watch
int | current_fb
Ecore_Drm_Fb * | current
Ecore_Drm_Fb * | next
Ecore_Drm_Fb * | dumb [2]
drmEventContext | drm_ctx
Eina_Bool | active: 1
Eina_Bool | left_handed: 1